import request from "../../request.js"


//新人优惠券
export function couponByUseStatus(pageNum, pageSize, patientId) {
	return request({
		url: `/nurseApplet/patientInfo/couponByUseStatus?pageNum=${pageNum}&pageSize=${pageSize}&patientId=${patientId}`,
		method: 'get',
		header: {
			Authorization: 'Bearer' + ' ' + uni.getStorageSync('token')
		},
	})
}

//领取
export function insertCouponReceive(patientId, couponId) {
	return request({
		url: `/nurseApplet/patientInfo/insertCouponReceive?patientId=${patientId}&couponId=${couponId}`,
		method: 'post',
		header: {
			Authorization: 'Bearer' + ' ' + uni.getStorageSync('token')
		},
	})
}
